Anonymous Login
2019-06-16 20:38 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001555v3.2 ReleaseTaskspublic2014-07-16 21:29
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001555: admin can't see task his secretary owns
Descriptionadmin has rights for everything.
Also exolicitly got all rights on that specific project.

Result: tasks per user for secretary shows task 'bbbb' (owned by her, admin not assigned).

project view does not show task 'bbbb' to admin.

In my opinioun, that is a very serious bug. Or did I oversee something in permissions?
(both are same company)

project list mentions 14 tasks, project view only shows 7 tasks
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003403

caseydk (administrator)

I've updated the admin permissions check to make sure Admins can really view everything they're expecting to. The patch is here:
https://github.com/web2project/web2project/commit/85f8feb06b8b7ada64c1f178da3bcc093ba47fc8
+Notes

-Issue History
Date Modified Username Field Change
2014-05-27 06:14 opto New Issue
2014-05-29 11:22 caseydk Note Added: 0003403
2014-05-29 11:22 caseydk Status new => resolved
2014-05-29 11:22 caseydk Resolution open => fixed
2014-05-29 11:22 caseydk Assigned To => caseydk
2014-06-10 22:09 caseydk Target Version => 3.2
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:29 caseydk Status resolved => closed
+Issue History